Subject: bug#68808: subsecond mtime discovery code insufficient

From: Karl Berry <[email-masked]>
Date: Sat, 1 Jun 2024 11:47:54 -0600

Do color-tests2.sh and color-tests2-w.sh both write to the same
    directory and, thus, running in parallel may have caused them to be
    writing to the same file(s) at the same time?

Every test runs in its own t/*.dir/ directory.  The ct2-w.sh test
sources the ct2.sh shell script, but it's still a separate test and they
shouldn't be able interfere with each other. I think.

    Should the color test be changed to not re-use the same directory or
    filenames? or that one test must come before the other?

The thing that confuses me is that if the problem was generically about
ct2 and ct2-w stepping on each other, or a test stepping on itself, it
should happen (sometimes) with any parallel make on any system. But no
one has ever reported it. This makes me think it is something about
make-3.81 (and/or, less likely, the mac), since that's what's different.

You don't see the ct2 failures when running with the new make that you
installed yourself, right? --thanks, karl.